textures/common/clip
{
	qer_trans 0.40
	surfaceparm 	nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
        
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
        surfaceparm nolightmap
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

models/trees/tree1/branch_t
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
	q3map_vertexscale 2
	deformvertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/trees/tree1/branch_t.tga 
   		alphafunc ge128  
   		depthwrite
		rgbgen vertex
	} 

}

models/trees/tree2/bark3_512
{
	q3map_vertexscale 2

	{
	map models/trees/tree2/bark3_512.tga
	rgbgen vertex
	
	}
}

models/mapobjects/tunis/light2a
{
	surfaceparm nomarks 
	
	q3map_surfacelight 25000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map models/mapobjects/tunis/light2a.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map models/mapobjects/tunis/light2a.jpg
		blendfunc gl_one gl_one
	}
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

models/mapobjects/tunis/palmfrond2
{	
    surfaceparm alphashadow
    cull none
    nopicmip
	{
		map models/mapobjects/tunis/palmfrond2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/trees/tree3/branch_orange
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
	q3map_vertexscale 2
	deformvertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/trees/tree3/branch_orange.tga 
   		alphafunc ge128  
   		depthwrite
		rgbgen vertex
		   
	} 
}

models/trees/tree2/branch_gold
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
	q3map_vertexscale 2
	deformvertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/trees/tree2/branch_gold.tga 
   		alphafunc ge128  
   		depthwrite
		rgbgen vertex  
	}

}

textures/ditch082/ivy_wall2
{
	qer_editorimage textures/ditch082/ivy_wall2.tga
	q3map_bouncescale 0.01
	
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks

	surfaceparm nonopaque

	polygonoffset
	sort banner
	
	cull none

	{
		map textures/ditch082/ivy_wall2.tga
		blendfunc blend
		
		rgbgen exactvertex
	}
	
}

textures/ditch082/ivy_climb1
{
	qer_editorimage textures/ditch082/ivy_climb1.tga
	q3map_bouncescale 0.01
	
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks

	surfaceparm nonopaque

	polygonoffset
	sort banner
	
	cull none

	{
		map textures/ditch082/ivy_climb1.tga
		blendfunc blend
		
		rgbgen exactvertex
	}
	
}

textures/ditch082/wallplaster18bv-b_shader
{
	qer_editorimage textures/ditch082/wallplaster18bv-b_shader.jpg
	q3map_surfacelight 1
	surfaceparm nomarks
    {
        map $lightmap
        rgbgen identity
    }
    {
        map textures/ditch082/wallplaster18bv-b_shader.jpg
        blendfunc gl_dst_color gl_zero
        rgbgen identity
    }
    {
        map textures/ditch082/wallplaster18bv-b_shader.jpg
        blendfunc gl_one gl_one
    }
}

textures/ditch082/wallplaster20bv-b_shader
{
	qer_editorimage textures/ditch082/wallplaster20bv-b_shader.jpg
	q3map_surfacelight 1
	surfaceparm nomarks
    {
        map $lightmap
        rgbgen identity
    }
    {
        map textures/ditch082/wallplaster20bv-b_shader.jpg
        blendfunc gl_dst_color gl_zero
        rgbgen identity
    }
    {
        map textures/ditch082/wallplaster20bv-b_shader.jpg
        blendfunc gl_one gl_one
    }
}

textures/ditch082/paleyellowlamplight
{
	qer_editorimage textures/ditch082/paleyellowlamplight.jpg
	q3map_surfacelight 3000
	surfaceparm nomarks
    {
        map $lightmap
        rgbgen identity
    }
    {
        map textures/ditch082/paleyellowlamplight.jpg
        blendfunc gl_dst_color gl_zero
        rgbgen identity
    }
    {
        map textures/ditch082/paleyellowlamplight.jpg
        blendfunc gl_one gl_one
    }
}

textures/ditch082/paleyellowstrip
{
	qer_editorimage textures/ditch082/paleyellowstrip.jpg
	q3map_surfacelight 300
	surfaceparm nomarks
    {
        map $lightmap
        rgbgen identity
    }
    {
        map textures/ditch082/paleyellowstrip.jpg
        blendfunc gl_dst_color gl_zero
        rgbgen identity
    }
    {
        map textures/ditch082/paleyellowstrip.jpg
        blendfunc gl_one gl_one
    }
}

textures/ditch082/palebluestrip2
{
	qer_editorimage textures/ditch082/palebluestrip2.jpg
	q3map_surfacelight 300
	surfaceparm nomarks
    {
        map $lightmap
        rgbgen identity
    }
    {
        map textures/ditch082/palebluestrip2.jpg
        blendfunc gl_dst_color gl_zero
        rgbgen identity
    }
    {
        map textures/ditch082/palebluestrip2.jpg
        blendfunc gl_one gl_one
    }
}

textures/ditch082/paleredstrip
{
	qer_editorimage textures/ditch082/paleredstrip.jpg
	q3map_surfacelight 300
	surfaceparm nomarks
    {
        map $lightmap
        rgbgen identity
    }
    {
        map textures/ditch082/paleredstrip.jpg
        blendfunc gl_dst_color gl_zero
        rgbgen identity
    }
    {
        map textures/ditch082/paleredstrip.jpg
        blendfunc gl_one gl_one
    }
}

textures/ditch082/groundgravel10bv-dust
{
	qer_editorimage textures/ditch082/groundgravel10bv.jpg
	surfaceparm dust
	
	{
		map textures/ditch082/groundgravel10bv.jpg
	}
}

textures/ditch082/groundgravel05bv-b-dust
{
	qer_editorimage textures/ditch082/groundgravel05bv-b.jpg
	surfaceparm dust
	
	{
		map textures/ditch082/groundgravel05bv-b.jpg
	}
}

textures/ditch082/nastylakewater2
{
	qer_editorimage textures/ditch082/nastylakewater.tga
	qer_trans 0.4
	q3map_bouncescale 0.01
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	tesssize 128
	deformvertexes wave 128 sin 0 0 .15 0.0375

	{
	map textures/ditch082/nastylakewater.tga
	blendfunc gl_src_alpha gl_one_minus_src_alpha
	tcmod turb 0.00 0.0375 0.0375 0.0375
	}
	{
	map $lightmap
	blendfunc gl_dst_color gl_src_color
	}
}

textures/ditch082/nastylakewater
{
	qer_editorimage textures/ditch082/nastylakewater.tga
	qer_trans 0.4
	q3map_bouncescale 0.01
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm fog
	fogparms ( .16 .13 .11 ) 256
	tesssize 128
	deformvertexes wave 128 sin 0 0 .15 0.0375

	{
		map textures/ditch082/nastylakewater.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcmod turb 0.00 0.0375 0.0375 0.0375
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ditch082/lightnodraw
{
	qer_editorimage textures/ditch082/lightnodraw-b.jpg
	qer_trans 0.25
	q3map_surfacelight 100 
	q3map_backsplash 0 0 
	q3map_nolightmap
	
	q3map_bouncescale 0.01 
	
	
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonopaque
	surfaceparm detail 
	{
		map textures/ditch082/lightnodraw-b.jpg 
	}

}

textures/ditch082/ditch_sky
{ 
qer_editorimage textures/ditch082/ditch_sky.tga 
q3map_globaltexture
q3map_sun 1 .95 .75 220 144 60 
q3map_surfacelight 120
q3map_backsplash 0 0 
surfaceparm sky 
surfaceparm nolightmap 
surfaceparm noimpact 
skyparms env/ditch082/ditch_sky - - 
}

textures/ditch082/glass_clear
{
    q3map_lightimage textures/ditch082/glass_radiosity.tga
    qer_editorimage textures/ditch082/qer_clear.tga
    qer_trans 0.5
    q3map_bouncescale 0.45
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/ditch082/q3a_glass_clear.tga
        blendfunc add
        tcgen environment
    }
}

textures/ditch082/flamebv
{
	
	surfaceparm nomarks
	surfaceparm nolightmap

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonopaque

	cull none
	q3map_surfacelight 250
	qer_editorimage textures/ditch082/flame1bv.tga
	

	{
		animmap 10 textures/ditch082/flame1bv.tga textures/ditch082/flame2bv.tga textures/ditch082/flame3bv.tga textures/ditch082/flame4bv.tga textures/ditch082/flame5bv.tga textures/ditch082/flame6bv.tga textures/ditch082/flame7bv.tga textures/ditch082/flame8bv.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
		
	}	
	{
		animmap 10 textures/ditch082/flame2bv.tga textures/ditch082/flame3bv.tga textures/ditch082/flame4bv.tga textures/ditch082/flame5bv.tga textures/ditch082/flame6bv.tga textures/ditch082/flame7bv.tga textures/ditch082/flame8bv.tga textures/ditch082/flame1bv.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}	


	{
		map textures/ditch082/flameballbv.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6	
	}

}

textures/ditch082/ladderclip
{
        qer_trans 0.40
	  qer_editor_image textures/ditch082/ladderclip.jpg 
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	  surfaceparm trans
}

textures/ditch082/barbedwire
{
	qer_editor_image textures/ditch082/barbedwire.tga
	cull disable
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nonsolid
	
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonopaque


	{
		map textures/ditch082/barbedwire.tga
		alphafunc ge128
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/trees/ivy/ivy
{ 
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none  
	nopicmip
	q3map_vertexscale 2
	deformvertexes wave 5 sin 0 .2 0 .3

	{ 
            map models/trees/ivy/ivy.tga 
   		alphafunc ge128
		rgbgen vertex 
 	} 

}

models/mapobjects/tunis/batleaf2
{	
    surfaceparm alphashadow
    cull none

	{
		map models/mapobjects/tunis/batleaf2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}

	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/tunis/leaf1
{	
    surfaceparm alphashadow
    cull none

	{
		map models/mapobjects/tunis/leaf1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}


	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/tunis/leaf2
{	
    surfaceparm alphashadow
    cull none

	{
		map models/mapobjects/tunis/leaf2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}


	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/tunis/leaf3
{	
    surfaceparm alphashadow
    cull none

	{
		map models/mapobjects/tunis/leaf3.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}


	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/common/watercaulk
{
qer_trans 0.40
qer_editorimage textures/common/watercaulk.tga
surfaceparm nodraw
surfaceparm nonsolid
surfaceparm trans
surfaceparm water

}

